Mis problemas con 12.04

Imagen de Descla
0 puntos

Hola.
Antes que nada aclaro que si no publico ya esto en "principiantes" es por vergüenza porque ya llevaré un par de añitos en Ubuntu, en mi fecha de registro en el foro estará la prueba, y principiante del todo ya no soy. Pero ni soy programador, ni tengo idea apenas y todo lo resuelvo tirando del foro y de blogs.

Pues me he tirado a la piscina y he actualizado a 12.04 desde el gestor de actualizaciones. Lo he hecho además desde 10.04, algo que ya en principio no está muy correcto.

A lo hecho, pecho, comento los problemas que me han ido surgiendo.

Lo primero es que la mitad de iconos me salieron amorfos, tanto en escritorio como en panel, como en Aplicaciones, Lugares, etc. Salía en lugar del icono un cuadrado gris.
Después el gestor de actualizaciones me daba problemas con Libreoffice e insistía en que sin "core" se me desmontaba todo el chiringuito.
Por último no me funciona el audio, ni en youtube ni en VLC ni en nada.

Lo pero, para lo idiota que he sido de tirarme a la piscina sin tener mucha idea con una versión Alpha, es que apenas hay páginas aún que ayuden sobre 12.04.

Usando las ayudas de 11.10 pude ir haciendo camino. Pero algo jodí mucho que tras apagar y volver a encender, tras poner mi contraseña, fuese como Yo, como invitado, o como lo que fuese, en las modalidades "Ubuntu". "Ubuntu d2", "Usuario elige el entorno", indefectiblemente me salía un cartel de Failed to load session "ubuntu", y aquello no arrancaba.
Tras consultar blogs, elegí el entorno "Abrir consola" y una vez allí con "sudo synaptic" arreglé paquetes rotos. Tampoco funciono. De nuevo en consola y sudo synaptic instalé todos los gnome's habidos y por haber. Al arrancar la rueda dentada daba más opciones: Gnome classic (sin efectos) fue la elegida y ahora escribo desde el ordenador. Por fin pude instalar libreoffice, tras mucho trapicheo, y los iconos tomaron forma. Después descubrí para poner libreoffice en español, con el comando ese de la n-10-es.

Así que ahora me estoy batiendo como un bravo con el audio, que de momento va ganando él y no hay manera de que suene nada.

En general, al usar el comando apt-get update, siempre me da esto al final:
W: Imposible obtener http://ppa.launchpad.net/libreoffice/ppa/ubuntu/dists/precise/main/sourc... 404 Not Found

W: Imposible obtener http://ppa.launchpad.net/libreoffice/ppa/ubuntu/dists/precise/main/binar... 404 Not Found

W: Imposible obtener http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/dists/precise/ma... 404 Not Found

W: Imposible obtener http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/dists/precise/ma... 404 Not Found

Y en el icono de audio del panel, me pone "Salida para torpes", que no sé qué quiere decir, pero fijo que no se equivoca si el torpe soy yo.

Otra particularidad es que la mitad de Aplicaciones, Preferencias, etc, la tengo en inglés y la otra mitad en español. Se alternan, por ejemplo: "Accesories" con "Analizador de uso de disco".

Ya que he hecho la tontería por lo menos informo de cada error, mando el informe, y por lo menos que sirva para algo.

Por lo demás, esto va muy bien.

Saludos.

Imagen de .doc
+1
0
-1

me encanta tu optimismo: explicas un montón de problemas que te está dando esa versión alpha y añades... 'por lo demás, esto va muy bien...'

Pues menos mal que va muy bien... :D :D

+1
0
-1
Imagen de Descla
+1
0
-1

Yo diría que va más rápida que la 10.04 de la que vengo...
Bueno, cuando le di al botón actualizar a la 12.04, ya imaginaba que me iba a entretener un buen rato, jaja.
Y de momento ya sólo me queda el audio por resolver, pero ese se resiste mucho el condenao.
Saludos.

+1
0
-1
Imagen de RagonichaFulva
+1
0
-1

Un +10 por el optimismo y la buena actitud.

Lo del sonido para torpes es lo que ya me ha sacado la risa.

Persevera y mantennos informados. Yo me suscribo a tu hilo. ;)

+1
0
-1

"La perseverancia es un árbol de raíces amargas, pero de frutos muy dulces."

Imagen de Descla
+1
0
-1

Pues parece ser que el problema es que la librería y la utilidad no son del mismo modelo, según informe de Alsa que me dio la terminal.

!!ALSA Version
!!------------

Driver version:
Library version: 1.0.24.1
Utilities version: 1.0.24.2

Así que supongo que habrá que subir la librería a 1.0.24.2

A ver...

+1
0
-1
Imagen de Descla
+1
0
-1

Ragonicha, que lo del sonido para torpes no es broma, mira cuando pongo el cursor lo que sale (margen superior derecho):

http://img827.imageshack.us/img827/5/pantallazodel2012011420.png

+1
0
-1
Imagen de RagonichaFulva
+1
0
-1

Jeje.. lo sé... lo que me hace gracia es la ironía.

Efectivamente, tal como dice furtaxi (creo que fue él) puede ser un fallo de traducción, ya que en la versión inglesa sería "dumb", y es una palabra que según el contexto puede ser torpe, mudo y un largo etcétera de connotaciones del término, que en eso, los ingleses tienen en cantidad.

+1
0
-1

"La perseverancia es un árbol de raíces amargas, pero de frutos muy dulces."

Imagen de Jose Luis 1320
+1
0
-1

Cuando por alguna razón pulseaudio (u otro programa que sea como pulseaudio) no encuentra un dispositivo de salida de audio, lo que usa es una salida boba, en inglés se llama Dummy output, No estoy muy seguro que sea esa salida boba, pero tiene que haber un dispositivo en donde se manden las señales que manden los programas, tal vez esa salida boba sea un /dev/null.

En este caso la "Salida para torpes" es una mala traducción de Dummy Output.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Descla
+1
0
-1

Eso vi, José Luis, que es una mala traducción, un "bug", que me dijeron por ahí, creo que Furtaxi.
Gracias.

+1
0
-1
Imagen de .doc
+1
0
-1

de todas formas, una cosa es que uno quiera hacer un 'saludable ejercicio intelectual', tratando de resolver los problemas que siempre presenta una versión 'alpha'... y otra querer instalarla por una crisis aguda de 'versionitis'

+1
0
-1
Imagen de Descla
+1
0
-1

Fue peor, Doc, ni una cosa ni otra: mi mujer se fue pasando de actualizaciones y llegó a la 11.10. A mí me decía anticuado, gallina y cobardica por quedarme en la 10.04. Llevábamos ese juego.
Y ayer me levante con ganas de juerga y de darle en los morros y...

+1
0
-1
Imagen de furtaxi
+1
0
-1

Apoyo a los compañeros, en apoyarte, a pesar de todos tus problemas.

Bueno, no eres torpe... salvo que Ubuntu considere que has evolucionado, antes decía "salida boba", que yo siempre interpreté que significa que el sonido es imposible de conseguir sin un par de peleas, en plan gladiador, en el coliseum de la consola.
:)

Por no dejarte como bobo, o como torpe, digamos que es un "bug" de la traducción. :)

Bueno, probemos con soluciones del cretácico...

1: Borra la carpeta .pulse (oculta) de tu directorio personal, y reinicia.

2. Llama a alsamixer en un terminal, con F6 mira a ver si está reconocida tu tarjeta, y, si es así, la seleccionas. Sube todos los potenciómetros al 80 %.

3. En caso contrario.... mejor que invites a tu mujer a cenar a un buen restaurante ...
:)

P.D. Los errores de repositorios... normal, puede que apunten a archivos que aún estén en desarrollo, por ello, te dá el 404. Es normal en pre-releases. De momento, coméntalos en el sources.list, para que no te estén fastidiando, y prueba de vez en cuando a reactivarlos por si nacieron por generación espontánea. (obviamente, puedes hacerlo en modo gráfico en orígenes de software, marcando o desmarcando las casillas).

+1
0
-1

Mi web : www.vigovideo.es
Buscar es más rápido que esperar una respuesta.

Imagen de Descla
+1
0
-1

Gracias, Furtaxi, pero no me sirvió, no reconocía la terminal "alsamixer", aunque al final lo conseguí. Desconozco si el haber borrado la carpeta .pulse ha ayudado. Supongo que sí al evitar posible conflicto.
Por si le sirve a alguien:
Lo normal cuando ya buscas bastante con este tema de sonido es que se te recomiende esto:
lspci | grep -i audio

Y sabemos qué tarjeta tenemos.
Pero al aplicar después esto:
cat /proc/asound/cards

Nos sale que tenemos tarjeta de sonido pero Alsa no la reconoce.
Y entonces te pasan a esto:

sudo apt-get install module-assistant build-essential
sudo module-assistant prepare,update
sudo module-assistant build,install alsa
sudo depmod

Y a mí me siguió sin dar resultado.
Pero el muchacho/a de esta página ha ido un paso más allá:
http://www.ubuntu-guia.com/2009/07/alsa-no-reconoce-la-tarjeta-de-sonido...

sudo apt-get install module-assistant build-essential
sudo module-assistant prepare,update
sudo apt-get install alsa-source
sudo module-assistant build,install alsa
sudo depmod

Con el cual instala la librería con el install alsa-source antes de ejecutar el comando.
Parecía ir bien, pero al compilar datos (varios intentos) se paraba en el 31%.
A las 3 de la mañana, ya desesperado creyendo que esto no iba a tener arreglo fácil, encontré esta otra página:
http://banyut.obolog.com/restaurar-audio-ubuntu-66394

donde aparte del consabido cuarteto de comandos, más el quinto que aportó la persona de la página anterior, en los comentarios ante preguntas de personas que como a mí no les había servido, recomendó instalar al tiempo Alsa en synaptic. Fuí a synaptic y poniendo Alsa me salieron bastantes paquetes. Aquí entra el azar e instalé los que me parecieron "más Alsa" que los demás. Lo que si me fije es que pulseaudio estaba desinstalado.
Tras instalar una manada de alsas desde synaptic y seguir los 5 comandos, reinicié y esto suena ya.
En aplicaciones------->sonido, me han aparecido iconos de alsamixergui y alsaplayer.
En cambio del panel me ha desaparecido el icono de volumen de audio, ese que decía salida para torpes.

Por lo demás, el icono en escritorio de un iso no es un disquito encerrado un en un rectángulo, es un icono como el de un doc cualquiera.
Y un par de iconos de Aplicaciones, etc, siguen siendo ventanas cuadrangulares grises.

Pecatas minutas ya estas cosas.

Saludos.

+1
0
-1
Imagen de RagonichaFulva
+1
0
-1

Al parecer Pulseaudio sigue dando dolores de cabeza a estas alturas/versiones. ;)

+1
0
-1

"La perseverancia es un árbol de raíces amargas, pero de frutos muy dulces."

Imagen de Jose Luis 1320
+1
0
-1

tampoco ALSA, es el dispositivo de sonido, los que causan más problemas son los chips de sonido HDA-Intel.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de cousteau
+1
0
-1

En el PPA de LibreOffice no está soportado Precise (más que nada porque Precise ya viene con la versión de LibreOffice más actualizada, incluso más que el PPA), así que supongo que tendrás que quitarlo. Con el otro PPA supongo que lo mismo. De todas formas es un aviso y no un error, así que el resto actualizará sin problemas.

+1
0
-1

«E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem» significa que dpkg se ha interrumpido y que tienes que ejecutar "sudo dpkg --configure -a" para corregir el problema.
Imagen de Descla
+1
0
-1

"En el PPA de LibreOffice no está soportado Precise (más que nada porque Precise ya viene con la versión de LibreOffice más actualizada, incluso más que el PPA), así que supongo que tendrás que quitarlo".

Vaya tela... Cuántas las veces los problemas que parecen más complejos son producto de un detalle tonto de base.
Gracias.

+1
0
-1